function PrecIn=get_precision(fname)

PrecIn='';
temp=dir(fname);
if(length(temp)==0);fprintf('%s does not exist\n',fname);error('');return;end;

fid=fopen(fname,'r');
while ~feof(fid);
  clear temp ifloat;
  temp=fgets(fid);
  ifloat=strfind(temp,'float');
  if(length(ifloat)>0);
    nn=str2num(temp(ifloat+5:ifloat+6))
    if(nn==32);
      PrecIn='real*4';
    elseif(nn==64);
      PrecIn='real*8';
    end;
  end;
end;

fclose(fid);
return
